Subject: Re: [PATCH] net: prestera: acl: Add check for kmemdup

From: Jakub Kicinski <[email-masked]>
Date: Fri, 30 Sep 2022 07:29:52 -0700

On Fri, 30 Sep 2022 13:03:17 +0800 Jiasheng Jiang wrote:
> Actually, I used get_maintainer scripts and the results is as follow:
> "./scripts/get_maintainer.pl -f drivers/net/ethernet/marvell/prestera/prestera_acl.c"
> Taras Chornyi <[email-masked]> (supporter:MARVELL PRESTERA ETHERNET SWITCH DRIVER)
> "David S. Miller" <[email-masked]> (maintainer:NETWORKING DRIVERS)
> Eric Dumazet <[email-masked]> (maintainer:NETWORKING DRIVERS)
> Jakub Kicinski <[email-masked]> (maintainer:NETWORKING DRIVERS)
> Paolo Abeni <[email-masked]> (maintainer:NETWORKING DRIVERS)
> [email-masked] (open list:NETWORKING DRIVERS)
> [email-masked] (open list)
> 
> Therefore, I submitted my patch to the above addresses.
> 
> And this time I checked the fixes commit, and found that it has two
> authors:
> Signed-off-by: Volodymyr Mytnyk <[email-masked]>
> Signed-off-by: David S. Miller <[email-masked]>
> 
> Maybe there is a problem of the script that misses one.
> Anyway, I have already submitted the same patch and added
> "[email-masked]" this time.

Ha! So you do indeed use it in a way I wasn't expecting :S
Thanks for the explanation.

Joe, would you be okay to add a "big fat warning" to get_maintainer
when people try to use the -f flag? Maybe we can also change the message
that's displayed when the script is run without arguments to not
mention -f?

We're getting quite a few fixes which don't CC author, I'm guessing
Jiasheng's approach may be a common one.